import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {CuratorComponent} from './curator.component';

import {CuratorRoutingModule} from './curator-routing.module';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {CuratorService} from '../../openaireLibrary/connect/curators/curator.service';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {StickyModule} from '../../utils/stickyButton/sticky.module';
import {CuratorPhotoService} from '../../openaireLibrary/services/curatorPhoto.service';

@NgModule({
  imports: [
    CuratorRoutingModule, CommonModule, FormsModule, RouterModule,
    AlertModalModule, StickyModule
  ],
  declarations: [
    CuratorComponent
  ],
  providers: [
    CuratorService, CuratorPhotoService, IsCommunity, ConnectAdminLoginGuard
  ],
  exports: [
    CuratorComponent
  ]
})

export class CuratorModule { }
