import {Component, EventEmitter, Input, Output} from '@angular/core';

@Component({
    selector: 'sticky',
    template: `
      <div class="uk-float-right" style="z-index: 100; bottom: 10%; position: fixed; right: 2%">
        <button class="uk-button" (click)="onCancel()">Cancel</button>
        <button *ngIf="enabled" class="uk-button uk-button-primary" (click)="onSave()">Save</button>
        <button *ngIf="!enabled" class="uk-button uk-button-default" disabled>Save</button>
      </div>
    `
})

export class StickyComponent {
  @Output() public save: EventEmitter<any> = new EventEmitter();
  @Output() public cancel: EventEmitter<any> = new EventEmitter();

  @Input() public enabled: boolean;

  constructor () {}

  public onSave() {
    this.save.emit(true);
  }

  public onCancel() {
    this.cancel.emit(true);
  }

}
